POST api/Zapier/UpdateQuoteStage
This method is used to update quote stage.
Request Information
URI Parameters
None.
Body Parameters
UpdateQuote| Name | Description | Type | Additional information |
|---|---|---|---|
| policy_database_id | globally unique identifier |
None. |
|
| quote_stage_name | string |
None. |
|
| quote_presented_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"policy_database_id": "e3851eb4-1ef4-48d2-8135-7105e95fce8f",
"quote_stage_name": "sample string 2",
"quote_presented_date": "2026-03-11T12:04:10.099541-05:00"
}
application/xml, text/xml
Sample:
<UpdateQuote xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models"> <PolicyDatabaseId>e3851eb4-1ef4-48d2-8135-7105e95fce8f</PolicyDatabaseId> <PresentedDate>2026-03-11T12:04:10.099541-05:00</PresentedDate> <QuoteStageName>sample string 2</QuoteStageName> </UpdateQuote>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "a49e0ff5-1a48-48f3-bf1b-a1715063a4e5",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>a49e0ff5-1a48-48f3-bf1b-a1715063a4e5</DatabaseId> </NowCertsApiResultWithDatabaseId>